Bug 588722 - Intel HDA sound card requires options in modprobe for headphones to work
Intel HDA sound card requires options in modprobe for headphones to work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 08:05 EDT by Rodd Clarkson
Modified: 2012-08-07 15:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2010-05-04 08:05:12 EDT
Description of problem:

I have an Intel HDA sound card (in this case in a Dell XPS 1647) that requires options in /etc/modprobe.d to allow the headphone sockets to work.  Without this options, neither of the two headphone sockets work properly.

00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
02:00.1 Audio device: ATI Technologies Inc RV710/730


See here for detailed alsa output:
http://www.alsa-project.org/db/?f=643839269c4acef4b8064e4604d232b524d4bd17

I've added the following to /etc/modprobe.d/dist-alsa.conf:

options snd-hda-intel model=dell-m6-amic
options snd-hda-intel enable_msi=1


Is this all that's needed to address this bug?
Comment 1 Shannon Orem 2010-12-08 14:37:49 EST
This worked for me in Fedora 14.
Comment 2 bruno.leiber 2011-02-05 09:16:46 EST
Same thing here, on an Asus G53J. Funny that it works with model=dell-m6-amic.
I have the same HDA intel card.
Comment 3 bruno.leiber 2011-02-05 09:18:52 EST
(In reply to comment #2)
> Same thing here, on an Asus G53J. Funny that it works with model=dell-m6-amic.
> I have the same HDA intel card.

Oops, forgot to add : for me, the headphones worked great, but not the speakers.
Now my speakers work too.
Comment 4 Bug Zapper 2011-06-02 10:30:48 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Rodd Clarkson 2011-06-09 20:59:45 EDT
This is still an issue with fedora 15.

With both f14 and f15 I've had to add the following to /etc/modprobe.d/dist-alsa.conf to get headphones working:

options snd-hda-intel model=dell-m6-amic
options snd-hda-intel enable_msi=1
Comment 6 Rodd Clarkson 2011-06-09 21:01:44 EDT
actually I just checked an in f14 (and probably f15) I only need:

options snd-hda-intel model=dell-m6-dmic
Comment 7 Sheldon Lee 2011-11-04 09:30:52 EDT
it is still with fedora 16.

Thanks for the solution, it works.
But, for the develop team, I think you should do something, as it is so easy.
Why leave this to the users? New users will simply feel the system is not for them, and delete linux, then back to windows.
Comment 8 John O'Dwyer 2012-04-03 13:21:07 EDT
Still in Fedora 17 

So glad I found this fix as having functioning headphones is so important!
Comment 9 John O'Dwyer 2012-04-14 16:24:53 EDT
Just to comment further on the above:

While "options snd-hda-intel model=dell-m6-amic" fixes my problem with the headphones it knocks out my internal mic. Using "options snd-hda-intel model=dell-m6-dmic" instead fixes the headphones without knocking out the internal mic.
Comment 10 Rodd Clarkson 2012-06-07 04:02:11 EDT
Ah, that's explains why the mike didn't work for me.


Thanks.
Comment 11 Fedora End Of Life 2012-08-07 15:32:26 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.